﻿/*-----------------------------------------------------------------------------------------------
    overlay functions
-----------------------------------------------------------------------------------------------*/

function showoverlay(dense)
{
    var arrayPageSize = getPageSize();
    
    if (document.getElementById("overlay") == null)
    {
        $("body").append("<div id='overlay'/>");
	}
    
    if (dense == 'dark'){$("#overlay").addClass("dark");}
    $("#overlay").height(arrayPageSize[1] + "px");
    $("#overlay").after("<div id='loading' />");
    $("#overlay").fadeIn('normal');
    $('#overlay').supersleight();
    
    centerelement("loading");
    $("#loading").supersleight();
    $("#loading").fadeIn('slow');
    
    window.onscroll = function()
    {
        arrayPageSize = getPageSize();
        $("#overlay").height(arrayPageSize[1] + "px");
        centerelement("loading");
    }
    
	window.onresize = function()
	{
	    arrayPageSize = getPageSize();
        $("#overlay").height(arrayPageSize[1] + "px");
        centerelement("loading");
	}
}

function hideoverlay()
{
    $("#loading").fadeOut('fast');
    $("#loading").remove();
    $("#overlay").fadeOut('fast');
    $("#overlay").remove();
    window.onscroll = "";
    window.onresize = "";
}

// Returns array with page width, height and window width, height 
function getPageSize(){
	
	var xScroll, yScroll;
	
	if (window.innerHeight && window.scrollMaxY) {	
		xScroll = document.body.scrollWidth;
		yScroll = window.innerHeight + window.scrollMaxY;
	} else if (document.body.scrollHeight > document.body.offsetHeight){ // all but Explorer Mac
		xScroll = document.body.scrollWidth;
		yScroll = document.body.scrollHeight;
	} else { // Explorer Mac...would also work in Explorer 6 Strict, Mozilla and Safari
		xScroll = document.body.offsetWidth;
		yScroll = document.body.offsetHeight;
	}
	
	var windowWidth, windowHeight;
	if (self.innerHeight) {	// all except Explorer
		windowWidth = self.innerWidth;
		windowHeight = self.innerHeight;
	} else if (document.documentElement && document.documentElement.clientHeight) { // Explorer 6 Strict Mode
		windowWidth = document.documentElement.clientWidth;
		windowHeight = document.documentElement.clientHeight;
	} else if (document.body) { // other Explorers
		windowWidth = document.body.clientWidth;
		windowHeight = document.body.clientHeight;
	}	
	
	// for small pages with total height less then height of the viewport
	if(yScroll < windowHeight){
		pageHeight = windowHeight;
	} else { 
		pageHeight = yScroll;
	}

	// for small pages with total width less then width of the viewport
	if(xScroll < windowWidth){	
		pageWidth = windowWidth;
	} else {
		pageWidth = xScroll;
	}

	arrayPageSize = new Array(pageWidth,pageHeight,windowWidth,windowHeight) 
	return arrayPageSize;
}

function getScrollingPosition()
{
	var position = [0, 0];
	if (typeof window.pageYOffset != 'undefined')
	{
		position = [window.pageXOffset,window.pageYOffset];
	}
	else if (typeof document.documentElement.scrollTop != 'undefined' && document.documentElement.scrollTop > 0 || document.documentElement.scrollLeft > 0)
	{
		position = [document.documentElement.scrollLeft,document.documentElement.scrollTop];
	}
	else if (typeof document.body.scrollTop != 'undefined')
	{
		position = [document.body.scrollLeft,document.body.scrollTop];
	}
	return position;
}

function getViewportSize()
{
	var size = [0, 0];
	if (typeof window.innerWidth != 'undefined')
	{
		size = [window.innerWidth,window.innerHeight];
	}
	else if (typeof document.documentElement != 'undefined' && typeof document.documentElement.clientWidth != 'undefined' && document.documentElement.clientWidth != 0)
	{
		size = [document.documentElement.clientWidth,document.documentElement.clientHeight];
	}
	else
	{
		size = [document.getElementsByTagName('body')[0].clientWidth,document.getElementsByTagName('body')[0].clientHeight];
	}
	return size;
}


/*-----------------------------------------------------------------------------------------------
    other functions
-----------------------------------------------------------------------------------------------*/

//jQuery.browser report version wrongly
//alert(BrowserDetect.browser);
//alert(BrowserDetect.version);
//alert(BrowserDetect.OS);

var BrowserDetect = {
	init: function () {
		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
		this.version = this.searchVersion(navigator.userAgent)
			|| this.searchVersion(navigator.appVersion)
			|| "an unknown version";
		this.OS = this.searchString(this.dataOS) || "an unknown OS";
	},
	searchString: function (data) {
		for (var i=0;i<data.length;i++)	{
			var dataString = data[i].string;
			var dataProp = data[i].prop;
			this.versionSearchString = data[i].versionSearch || data[i].identity;
			if (dataString) {
				if (dataString.indexOf(data[i].subString) != -1)
					return data[i].identity;
			}
			else if (dataProp)
				return data[i].identity;
		}
	},
	searchVersion: function (dataString) {
		var index = dataString.indexOf(this.versionSearchString);
		if (index == -1) return;
		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
	},
	dataBrowser: [
		{
			string: navigator.userAgent,
			subString: "Chrome",
			identity: "Chrome"
		},
		{ 	string: navigator.userAgent,
			subString: "OmniWeb",
			versionSearch: "OmniWeb/",
			identity: "OmniWeb"
		},
		{
			string: navigator.vendor,
			subString: "Apple",
			identity: "Safari",
			versionSearch: "Version"
		},
		{
			prop: window.opera,
			identity: "Opera"
		},
		{
			string: navigator.vendor,
			subString: "iCab",
			identity: "iCab"
		},
		{
			string: navigator.vendor,
			subString: "KDE",
			identity: "Konqueror"
		},
		{
			string: navigator.userAgent,
			subString: "Firefox",
			identity: "Firefox"
		},
		{
			string: navigator.vendor,
			subString: "Camino",
			identity: "Camino"
		},
		{		// for newer Netscapes (6+)
			string: navigator.userAgent,
			subString: "Netscape",
			identity: "Netscape"
		},
		{
			string: navigator.userAgent,
			subString: "MSIE",
			identity: "Explorer",
			versionSearch: "MSIE"
		},
		{
			string: navigator.userAgent,
			subString: "Gecko",
			identity: "Mozilla",
			versionSearch: "rv"
		},
		{ 		// for older Netscapes (4-)
			string: navigator.userAgent,
			subString: "Mozilla",
			identity: "Netscape",
			versionSearch: "Mozilla"
		}
	],
	dataOS : [
		{
			string: navigator.platform,
			subString: "Win",
			identity: "Windows"
		},
		{
			string: navigator.platform,
			subString: "Mac",
			identity: "Mac"
		},
		{
			   string: navigator.userAgent,
			   subString: "iPhone",
			   identity: "iPhone/iPod"
	    },
		{
			string: navigator.platform,
			subString: "Linux",
			identity: "Linux"
		}
	]

};
BrowserDetect.init();

// comment deletion confirmation
function confirm(callback)
{
    showdialog('آیا از حذف نظر خود مطمئن هستید؟', 'confirm', 'تائید کنید', 300, 150, 'confirm', callback);
    return false;
}

// slide down the design tip
function showdesigntip()
{
    $('.narrow #header').append("<div id=\"designtip\"></div><div id=\"designtip-closer\"><hr/></div>");
    
    $.get('/quote.aspx', function(data)
        {
            $('.narrow #designtip').html(data);
        });

    //ajaxStop
    $('.narrow #designtip').ajaxSuccess(function()
    {
        $('#designtip').supersleight();
        $('#designtip-closer').supersleight();
        $(this).slideDown('slow').next().slideDown('slow');
    });
    
    /*
    $('.narrow #designtip').ajaxError(function()
    { 
        $(this).html("Error requesting page!").show();
    });
    */
}

function subscribetonewsletter()
{
    var email = "";
    
    if (window.document.getElementById('newsletteremail') != null) {
        var email = window.document.getElementById('newsletteremail').value;
        window.document.getElementById('newsletteremail').value = "";
    }
    
    showdialog('/NewsletterRegister.aspx?Email=' + email, 'url', 'عضویت در رویاگر', 470, 415);
 }

